Skip to main content
POST
Real-time streaming is not supported for Substrate chains. Only finalized historical data is available. If you need real-time Substrate data, schedule a call with our team.

Body

application/json

Data query to filter and retrieve blocks. Request body may be gzipped (Content-Encoding: gzip).

fromBlock
integer<int64>
default:20000000
required

The number of the first block to fetch. If unsure how far into the past this can go consult /metadata

type
enum<string>
default:substrate
Available options:
substrate
toBlock
integer<int64>
default:20000100

The block number to fetch up to (inclusive). Optional; if omitted, streams until dataset height or timeout.

parentBlockHash
string

Expected hash of the parent of the first requested block

includeAllBlocks
boolean
default:false

If true, includes blocks with no matching data

fields
object

Field selector. See the HTTP 200 response description for details on fields that aren't self-explanatory

events
object[]

Event data requests. An empty object matches all events; an empty array matches no events

calls
object[]

Call data requests. An empty object matches all calls; an empty array matches no calls

evmLogs
object[]

EVM.Log event requests for Frontier EVM parachains (e.g. Moonbeam, Astar). Filters on EVM.Log events specifically

ethereumTransactions
object[]

Ethereum.transact call requests for Frontier EVM parachains. Filters on Ethereum.transact calls specifically

contractsEvents
object[]

Contracts.ContractEmitted event requests for ink! smart contracts. Contract addresses must be hexadecimal (decoded from SS58) and lowercase

gearMessagesEnqueued
object[]

Gear.UserMessageEnqueued event requests for Gear/Vara networks

gearUserMessagesSent
object[]

Gear.UserMessageSent event requests for Gear/Vara networks

reviveContractEmitted
object[]

Revive.ContractEmitted event requests for Revive smart contracts

Response

A stream of finalized blocks in JSON lines format, optionally gzipped. Never returns blocks above the finalized head.

header
object
required
extrinsics
object[]
calls
object[]
events
object[]